# class SCCP | Abstract SS7 SCCP interface. More...
Full name | `TelEngine::SCCP`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
Inherited by | SS7SCCP, SS7SUA
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { CoordinateRequest = 0, CoordinateConfirm = 1, CoordinateIndication = 2, CoordinateResponse = 3, StatusIndication = 4, StatusRequest = 5, PointCodeStatusIndication = 6, TraficIndication = 7, SubsystemStatus = 8, }

#### Public Methods

- SCCP ()
- virtual ~SCCP ()
- virtual int sendMessage (DataBlock& data, const NamedList& params)
- virtual bool managementStatus (Type type, NamedList& params)
- virtual void attach (SCCPUser* user)
- virtual void detach (SCCPUser* user)
- virtual void attachGTT (GTT* gtt)
- virtual void updateTables (const NamedList& params)

#### Public Static Methods

- static const TokenDict* notifTypes ()

#### Protected Methods

- NamedList* translateGT (const NamedList& params, const String& prefix, const String& nextPrefix)
- HandledMSU pushMessage (DataBlock& data, NamedList& params, int ssn)
- HandledMSU notifyMessage (DataBlock& data, NamedList& params, int ssn)
- bool managementMessage (Type type, NamedList& params)
- virtual bool isEndpoint ()
- void resolveGTParams (SS7MsgSCCP* msg, const NamedList* gtParams)

## Detailed Description

An interface to a SS7 Signalling Connection Control Part

enum Type { CoordinateRequest = 0, CoordinateConfirm = 1, CoordinateIndication = 2, CoordinateResponse = 3, StatusIndication = 4, StatusRequest = 5, PointCodeStatusIndication = 6, TraficIndication = 7, SubsystemStatus = 8, } | ### Type

SCCP () | ### SCCP

Constructor

~SCCP () | ### ~SCCP

[virtual]

Destructor

int sendMessage (DataBlock& data, const NamedList& params) | ### sendMessage

[virtual]

Send a message

Parameters:

data | Data to be transported trough SCCP protocol
params | SCCP parameters SCCP parameters : MessageReturn : boolean / integer True or 0x08 to return message on error. NOTE int values should me below 0x0f sequenceControl : boolean. True to send messages in sequence LocalPC : integer. Local pointcode RemotePC : integer. Remote pointcode Address Parameter: Address parameter starts with : CallingPartyAddress or CalledPartyAddress followed by: .ssn : integer (0-255) Subsequence number .pointcode : integer Packed pointcode .gt : string The digits of the global title .gt.plan : integer GT numbering plan .gt.encoding : integer GT encoding scheme .gt.translation : integer GT Translation type .gt.nature : integer Gt nature of address indicator (ITU only) Importance : integer (0-7) Importance of the message! (ITU only)

bool managementStatus (Type type, NamedList& params) | ### managementStatus

[virtual]

Receive management information from attached users.

Parameters:

type | The type of management message
params | List of parameters (Affected subsystem [M])

Returns: True if the notification was processed

void attach (SCCPUser* user) | ### attach

[virtual]

Attach an user to this SS7 SCCP

Parameters:

user | Pointer to the SCCP user

void detach (SCCPUser* user) | ### detach

[virtual]

Detach an user from this SS7 SCCP

Parameters:

user | Pointer to the SCCP user

Reimplemented from SignallingComponent.

void attachGTT (GTT* gtt) | ### attachGTT

[virtual]

Attach an Global Title Translator to this SS7 SCCP

Parameters:

gtt | Pointer to the Global Title Translator

const TokenDict* notifTypes () | ### notifTypes

[static]

Obtain the dictionary for notifications types

Returns: Pointer to the notification types dictionary

void updateTables (const NamedList& params) | ### updateTables

[virtual]

NamedList* translateGT (const NamedList& params, const String& prefix, const String& nextPrefix) | ### translateGT

[protected]

Translate a Global Title

Parameters:

params | The Global Title content
prefix | The prefix of the global title content parameters
nextPrefix | Other prefix of the global title content parameters

Returns: a new SCCP route or 0 is no route was found

HandledMSU pushMessage (DataBlock& data, NamedList& params, int ssn) | ### pushMessage

[protected]

Send a SCCP message to users list for processing

Parameters:

data | The message data
params | The list of parameters
ssn | The ssn of the SCCP user

Returns: HandledMSU enum value

HandledMSU notifyMessage (DataBlock& data, NamedList& params, int ssn) | ### notifyMessage

[protected]

Notify the users that a message failed to be delivered to destination

Parameters:

data | The message data
params | The list of parameters
ssn | The ssn of the SCCP user

Returns: HandledMSU enum value

bool managementMessage (Type type, NamedList& params) | ### managementMessage

[protected]

Broadcast a management message to all attached users

Parameters:

type | The type of notification
params | The list of parameters

Returns: True if at least one user processed the message

bool isEndpoint () | ### isEndpoint

[protected virtual]

Check if this sccp is an endpoint

Returns: False

void resolveGTParams (SS7MsgSCCP* msg, const NamedList* gtParams) | ### resolveGTParams

[protected]

Copy the parameters returned by Global Title Translator in the SCCP Message

Parameters:

msg | The SCCP message
gtParams | The parameters returned by GTT

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.